Bug 109194 - KDE: Firefox opens links only in the background
Summary: KDE: Firefox opens links only in the background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.4.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2017-07-18 17:00 UTC by Thorsten Behrens (CIB)
Modified: 2017-07-24 14:47 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (CIB) 2017-07-18 17:00:33 UTC
Description:
When clicking on any link inside LibreOffice (links in a document, or links inside a dialog, or implicit url opening e.g. from the About box), Firefox opens the link in the background under KDE4 and beyond.

Depending on FF versions, that might happen only initially for the 1st window FF opens, or for everyone.

Steps to Reproduce:
1. start LibreOffice under KDE
2. close Firefox
3. click any link inside LibreOffice

Actual Results:  
FF window opens behind LibreOffice

Expected Results:
FF window opens in front of LibreOffice


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Commit Notification 2017-07-18 21:39:40 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8180b6801dca2052a9d40411f9bbdcc96198c52f

tdf#109194 cleanse startup notification foo from env

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2017-07-19 08:52:46 UTC
Thorsten Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b5002591fb6f99c4ca60c0529220442ef790fd2d&h=libreoffice-5-4

tdf#109194 cleanse startup notification foo from env

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.